OMNeT++/OMNEST Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000099OMNeT++simulation kernelpublic2009-08-31 01:232010-04-01 11:38
Reporterdhodson 
Assigned Torhornig 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version4.0 
Target VersionFixed in Version4.1b1 
Summary0000099: OMNet 4.0 does not compile under Fedora 11 (GCC 4.4.1)
DescriptionJust downloaded the latest OMNet 4.0 on my linux box. It's Fedora 11 which includes GCC 4.4.1. GCC has been tightening up the screws a bit on compiling code and has found a number of issues with the OMNet code. All the problems discovered pertain to including the proper header files for things like "fopen()" and many of the old-style "C" functions. Here is the fix for Fedora 11.

In the following files (all .cc), add an extra "#include <cstdio>" at the beginning of the code:

filereader.cc
expression.cc
patternmatcher.cc
unitconversion.cc
stringutil.cc
basicspringembedderlayout.cc
forcedirectedgraphlayouter.cc
eventlogindex.cc
dataflowmanager.cc
filewriter.cc

For the file "messagedependency.h" add "#include <stdio.h>". Note: this is the only header file that needs modification.

As it currently stands OMNet appears to be literated with a mixture of C and C++ code. At some point, OMNet could use a scrubbing and removal of old "C" code functions and move it to a purely C++ codebase. Maybe I can help?

Anyway, good code, looking forward to using it!

Thanks!
Doug
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000180)
rhornig (administrator)
2009-10-09 15:24

Fixed in commit a4a15db on the master branch.
(0000195)
aranel (reporter)
2009-12-04 11:03

It can be easily fixed by adding #include <cstdio> to src/common/commonutils.h which is included into all related files.
(0000226)
rhornig (administrator)
2010-04-01 11:38

Added the missing headers.

- Issue History
Date Modified Username Field Change
2009-08-31 01:23 dhodson New Issue
2009-10-09 15:24 rhornig Note Added: 0000180
2009-10-09 15:24 rhornig Status new => to be tested
2009-12-04 11:03 aranel Note Added: 0000195
2010-04-01 11:38 rhornig Note Added: 0000226
2010-04-01 11:38 rhornig Status to be tested => resolved
2010-04-01 11:38 rhornig Fixed in Version => 4.1b1
2010-04-01 11:38 rhornig Resolution open => fixed
2010-04-01 11:38 rhornig Assigned To => rhornig


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker